<%inherit file="jm2l:templates/layout.mako"/>
<%def name="jsAddOn()">
<script src="/vendor/timeline/js/timeline-src.js"></script>
<script>
    var timeline = new VMM.Timeline("timeline", '95%', '600px');
    var c = {language:{ lang:"fr",api:{wikipedia:"fr"},date:{month:["janvier","février","mars","avril","mai","juin","juillet","août","septembre","octobre","novembre","décembre"],month_abbr:["janv.","févr.","mars","avril","mai","juin","juil.","août","sept.","oct.","nov.","dec."],day:["Dimanche","Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi"],day_abbr:["Dim.","Lu.","Ma.","Me.","Jeu.","Vend.","Sam."]},dateformats:{year:"yyyy",month_short:"mmm",month:"mmmm yyyy",full_short:"d mmm",full:"d mmmm yyyy",time_short:"HH:MM:SS",time_no_seconds_short:"HH:MM",time_no_seconds_small_date:"HH:MM'<br/><small>'d mmmm yyyy'</small>'",full_long:"dddd',' d mmm yyyy 'à' HH:MM",full_long_small_date:"HH:MM'<br/><small>'dddd',' d mmm yyyy'</small>'"},messages:{loading_timeline:"Chargement de la frise en cours... ",return_to_title:"Retour à la page d'accueil",expand_timeline:"Elargir la frise",contract_timeline:"Réduire la frise",wikipedia:"Extrait de Wikipedia, l'encyclopédie libre",loading_content:"Chargement",loading:"Chargement",swipe_nav:"Swipe to Navigate"}}};
    timeline.init(c, "/${year}/timeline-json");
</script>
</%def>
<%def name="cssAddOn()">
        <!-- The default timeline stylesheet -->
        <link rel="stylesheet" href="/vendor/timeline/css/timeline.css" />
</%def>
<H2 style="text-align: center;" class="shadow">${edition | n} édition des JM2L en ${year}</H2>
<br>
<div class="center">
% if request.user and request.user.Staff:
    <a href="/${year or CurrentYear}/edit">Editer cette page</a> -
% endif
    <h4><a href="/${year or CurrentYear}/le-programme">Le programme des événements ${year or CurrentYear }</a></h4>
</div>
<div class="row-fluid">
    <div class="span10 offset1">
    ${ content | n }
    </div>
</div>

<div class="row-fluid">
    <div class="span12">
    <!-- TimeLine -->
        <div id="timeline"></div>
    </div>
</div>
<div class="row-fluid">
    <div style="height:500px">
    </div>
</div>
