# -*- coding: utf-8 -*- 
<%inherit file="jm2l:templates/Participant/list.mako"/>

<%
import unicodedata
%>

<%def name="cssAddOn()">
${parent.cssAddOn()}
<style>
input[type=text]{width:10em;}
</style>
</%def>

<form class="filterform" action="#">
<div style="overflow:auto">
    <table class="table table-bordered table-hover">
      <thead>
        <tr>
            <th style="width:10em;text-align:center;"></th>
            % for u, s in Users:
                % if s and s.orga_part and s.orga_part > 0:
                    <th style="text-align:center;"><a href="/MesJM2L?user=${u.uid}">${u.nom} ${u.prenom} ${s.orga_part}</a></th>
                % endif
            % endfor
        </tr>
      </thead>
      <tbody id="list">
          % for i, title in enumerate(myorga.Orga_tasks):
            <tr>
                <td style="text-align:center;"><span class="data">${unicodedata.normalize('NFKD', title).encode('ASCII', 'ignore').lower()}</span>${title}</td>
                % for u, s in Users:
                    % if s and s.orga_part and s.orga_part > 0:
                        <td style="text-align:center;">
                        % if s and s.orga_part:
                            % if (s.orga_part & 2**i):
                                Oui
                            % endif
                        % endif
                        </td>
                    % endif
                % endfor
            </tr>
        % endfor
      </tbody>
    </table>
</div>
</form>
