<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<div class="span10 offset1">

<h3><a href="mailto:contact@jm2l.linux-azur.org">Sponsoriser l’événement</a></h3>
<p>
    Si vous voulez aider l’organisation par des moyens financiers ou 
    matériels tout en associant l’image de votre société à l’événement, 
    vous le pouvez.
</p>
<p>
    L’événement bénéficie d’une présence sur le Web relayée par de nombreuses 
    associations locales en France, ainsi que des magazines spécialisés. 
    La communication touche le public régional et national par les journaux 
    généralistes et les radios qui nous annoncent. Une campagne d’affichage 
    et de distribution de prospectus d’annonce permet d’aller au contact 
    des gens de manière plus personnelle pour mieux faire passer le message.
</p>
<p>
    Sur place, les JM2L sont couvertes par plusieurs médias, écrits et 
    diffusés au niveau national et relayés par les groupes d'utilisateurs
     Linux à l'international.
</p>

<h3><a href="#inscription">Participer et/ou aider bénévolement</a></h3>
<p>
 Le thème choisi cette année pour l'évènement est "Do It Yourself" !<br>
 Du coup, le programme, l'organisation, et la participation sont ouverts à tous.
 Une façon pour nous de faire une subtile dédicace à notre liberté dans l'expression
 de nos valeurs du libre.
<p>
<ol class="point">
    <li>Si vous souhaitez <strong>aborder</strong> un sujet libre, 
      organiser une <strong>conférence</strong>, un <strong>atelier</strong>,
      tenir un <strong>stand</strong>, n'hésitez pas.<br>
            Le programme est en cours d'élaboration et n'attend que <u>votre contribution</u>.
    </li>
    <li>Si vous avez envie d'<strong>héberger</strong> et/ou de 
      <strong>covoiturer</strong> un intervenant. Une fois inscrit, 
      vous pourrez préciser vos&nbsp;disponibilités. merci à vous !
    </li>
    <li>Vous avez envie <strong>d'aider, de participer</strong> à l'organisation,</li>
    <li>ou simplement <u>préparer votre venue</u> en réservant vos repas en tant que visiteur.</li>
</ol>
% if not link:
<strong>Remplissez ce formulaire :</strong>
<div class="row-fluid">
    <div class="span7 offset3">
<% 
DicForm ={
    'nom':      {'PlaceHolder':u"Mon nom", 'ContainerStyle':'float:left;'},
    'prenom':   {'PlaceHolder':u"Mon prénom"},
    'mail':     {'PlaceHolder':u"Mon adresse", "FieldStyle":"width:31em;"},
    'captcha':  {'PlaceHolder':u"le captcha @lacon", 'ContainerStyle':'float:left;'}    
    } 
%>
      <form action="/participer-l-evenement#inscription" method="post">
        <h3 id="inscription">Je m'inscris</h3>
            <div class="container">
                ${helpers.DisplayForm(form, DicForm)}
                <div style="border:1px dashed #CCC;float:left;">
                    <img src="/captcha" 
                    alt="en cas de difficultés avec le captcha envoyez un mail à 
                    contact at jm2l dot linux-azur dot org pour créer votre compte." 
                        style="height:75px;" />
                </div>
            </div>
        <button class="btn btn-large btn-primary" type="submit">C'est parti !</button>
      </form>
    </div>
</div>
% else:
<p>
    Vous venez de recevoir un mail...
</p>
    Cliquez sur ce lien pour finir votre inscription : <a href="${request.route_path('bymail', hash=link)}">Mon lien</a>
% endif

</div>