# -*- coding: utf-8 -*- 
<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="jsAddOn()">
  <script src="/js/jm2l.js"></script>
  <script src="/vendor/ckeditor/ckeditor.js"></script>
  <script src="/vendor/select2/js/select2.js"></script>  
</%def>
<%def name="cssAddOn()">
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload.css">
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui.css">
  <link rel="stylesheet" href="/css/jm2l.css" />
  <link rel="stylesheet" href="/vendor/select2/css/select2.css" type="text/css" media="screen" />
  <!-- CSS adjustments for browsers with JavaScript disabled -->
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-noscript.css"></noscript>
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui-noscript.css"></noscript>  
</%def>

<div class="row-fluid">
  <div class="span10 offset1">

<a class="btn" href="${request.route_path('list_task', year=year, _anchor=form.name.data)}">
    <i class="icon-arrow-left"></i> Retour à la liste
</a>
% if 'uid' in form._fields.keys():
<a class="btn btn-danger btn-mini pull-right" onclick="return confirm_click();" href="${request.route_path('action_task_area', year=year, action='delete', pole_id=form.uid.data)}">
    <i class="icon-remove icon-white"></i> Supprimer ce pôle
</a>
    <h3>Editer un Pôle</h3>
% else:
    <h3>Ajouter un Pôle</h3>
%endif
<%
DicForm = { 
    'name':         {'PlaceHolder':u"Nom du Pôle", "FieldStyle":"width:90%;" },
    'description':  {'PlaceHolder':u"Description", "FieldStyle":"width:95%;min-height:150px;", "ckeditor":"1" },
    }
%>

% if 'uid' in form._fields.keys():
    <form action="/${year}/Staff/poles/${form.uid.data}" method="post">
    ${form.uid()}
%else:
    <form action="/${year}/Staff/poles" method="post">
%endif
    ${helpers.DisplayForm(form, DicForm)}

<br>
<div class="center">
    <button type="submit" class="btn btn-large btn-primary" />
        <i class="icon-ok icon-white"></i> Enregistrer
    </button>
</div>

</form>
% if 'uid' in form._fields.keys():
<div class="center">
    ${helpers.uploader("poles", form.uid.data, u"Attachement" )}
</div>
%endif

  </div>
</div>
