<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="profil" file="jm2l:templates/Profil/Profil.mako"/>
<%namespace name="sejour" file="jm2l:templates/Profil/Sejour.mako"/>
<%namespace name="intendance" file="jm2l:templates/Logistique/Logistique.mako"/>
<%
from pyramid.security import authenticated_userid 
user_id = authenticated_userid(request)
%>
    
<div class="row" style="padding:30px">
	<div class="tabbable" id="main_tab">
	    <ul class="nav nav-tabs">
		    <li class="active"><a href="#Profil" id="Map_Profil" data-toggle="tab">Mon Profil</a></li>
		    <li><a href="#Sejour" id="Map_Sejour" data-toggle="tab">Mon S&eacute;jour</a></li>
            <li><a href="#Interventions" id="Map_Interventions" data-toggle="tab">Mes Interventions</a></li>
		    <li><a href="#Intendance" id="Map_Itendance" data-toggle="tab">Les Echanges</a></li>
            <li><a href="#Frais" id="Map_Frais" data-toggle="tab">Mes Frais</a></li>
	    </ul>
	    <div class="tab-content">
            <div class="tab-pane fade active in" id="Profil">
                ${profil.profil_wrapper()}
            </div>

            <div class="tab-pane fade" id="Sejour">
                ${sejour.sejour_wrapper()}
            </div>
        
            <div class="tab-pane fade" id="Interventions">
                <div class="tabbable tabs-left" id="Interventions_tab">
                    
                    <ul class="nav nav-tabs navbar" style="margin-bottom:0;">            
                        <li class="active"> <a href="#Conference" data-toggle="tab">Conf&eacute;rence</a> </li>
                        <li> <a href="#Stand" data-toggle="tab">Stand</a> </li>
                        <li> <a href="#Atelier" data-toggle="tab">Atelier</a> </li>
                        <li> <a href="#TableRonde" data-toggle="tab">Table Ronde</a> </li>                        
                    </ul>
                    
                    <div class="tab-content">
                        <div class="tab-pane fade active in" id="Conference"> 
                            <table>
                                <tr>
                                    <td>
                                    
                                    </td>
                                </tr>
                            </table>
                        
                        </div>
                        <div class="tab-pane fade" id="Stand"> </div>
                        <div class="tab-pane fade" id="Atelier"> </div>
                        <div class="tab-pane fade" id="TableRonde"> </div>
                    </div>
                    
                </div>
            </div>
        
            <div class="tab-pane fade" id="Intendance">
                <div class="tabbable tabs-left" id="Intendance_tab">
                    
                    <ul class="nav nav-tabs navbar" style="margin-bottom:0;">
                        <li class="active"> <a href="#Route" data-toggle="tab">Resum&eacute;</a> </li>                
                        <li> <a href="#Covoiturage" data-toggle="tab">Covoiturage</a> </li>
                        <li> <a href="#Hebergement" data-toggle="tab">H&eacute;bergement</a> </li>
                        <li> <a href="#Materiel" data-toggle="tab">Mat&eacute;riel</a> </li>
                    </ul>
                    
                    <div class="tab-content">
                        <div class="tab-pane fade active in" id="Route">${intendance.Route_wrapper()}</div>
                        <div class="tab-pane fade" id="Covoiturage">${intendance.Covoiturage_wrapper()}</div>
                        <div class="tab-pane fade" id="Hebergement">${intendance.Hebergement_wrapper()}</div>
                        <div class="tab-pane fade" id="Materiel">${intendance.Materiel_wrapper()}</div>
                    </div>
                    
                </div>
            </div>        
        
            <div class="tab-pane fade" id="Frais">
                
                    * Uploader Mon RIB
                    * Uploader mon ticket (Train/Avion/Péage/Bus)
                    Récapitulatif des frais
                    Pris en charge (ou pas)
                    
            </div>
        
	    </div>
	</div>
</div>



% if user_id:
    Welcome <strong>${user_id}</strong> :: 
    <a href="/sign/out">Sign Out</a>
%else:
    <form action="/sign/in" method="post">
    <label>User</label><input type="text" name="username">
    <label>Password</label><input type="password" name="password">
    <input type="submit" value="Sign in">
    </form>
%endif

% if paginator.items:

    ${paginator.pager()}

    <h2>Blog entries</h2>

    <ul>
    % for entry in paginator.items:
    <li>
    <a href="${request.route_url('blog', id=entry.id, slug=entry.slug)}">
    ${entry.title}</a>
    </li>
    % endfor
    </ul>

    ${paginator.pager()}

% else:

<p>No blog entries found.</p>

%endif

<p><a href="${request.route_url('blog_action',action='create')}">
Create a new blog entry</a></p>

    <div id="ActiveList"></div>
    
