# -*- coding: utf8 -*-
<%def name="Bienvenue(request, User)">
<H4>JM2L</H4>
Bonjour ${User.prenom},<br>
<br>
Vous venez de vous inscrire sur le site des JM2L et c'est une bonne idée :-).<br>
<br>
Pour acc&eacute;der à votre espace il vous suffit dor&eacute;navant de cliquer sur le lien suivant :<br>
<a href="${request.route_url('bymail', hash=User.my_hash)}">Votre lien !</a>
<br>
À partir de là vous avez la possibilit&eacute; de :
<ul>
    <li>inscrire votre stand pour la journ&eacute;e</li>
    <li>inscrire une conf&eacute;rence</li>
    <li>inscrire un atelier</li>
    <li>chercher/proposer du covoiturage</li>
    <li>chercher/proposer un h&eacute;bergement</li>
    <li>vous faire rembourser vos frais</li>
    <li>chercher proposer du mat&eacute;riel (câbles, etc)</li>
</ul>

<p>
Pour plus d'information vous pouvez vous connectez au site des JM2L : http://jm2l.linux-azur.org ou
nous envoyer un mail à «contact at jm2l.linux-azur.org ». Et si vous êtes vraiment perdu vous pouvez
toujours nous t&eacute;l&eacute;phoner au +33 6 52 42 31 37.
</p>
<p>
Nous vous attendons avec impatience le ${request.registry['event_date']} à Sophia Antipolis pour fêter le libre et partager
de la connaissance, de la bonne humeur et du soleil ;-)
</p>
<br>
L'équipe des <b>JM2L</b>
<br>
</%def> \
<%def name="Forgot(request, User)">
<H4>JM2L</H4>
Bonjour ${User.prenom},<br>
<br>
Vous venez de demander le renvoi de vos identifiants sur le site des JM2L.<br>
<br>
Pour acc&eacute;der à votre espace il vous suffit dorénavant de cliquer sur le lien suivant :<br>
<a href="${request.route_url('bymail', hash=User.my_hash)}">Votre lien !</a>
<br>
N'h&eacute;sitez pas à l'ajouter à vos liens favoris.
<br>
Vos identifiants de connexion sont les suivants:
<br>
<b>Login</b>:${User.slug}<br>
<b>Password</b>:${User.password}<br>
Une fois connect&eacute; vous pouvez changer votre mot de passe sur votre fiche.
<br>
<p>
Pour plus d'information vous pouvez nous envoyer un mail à « contact at jm2l.linux-azur.org ». Et si vous êtes vraiment perdu vous pouvez
toujours nous t&eacute;l&eacute;phoner au +33 6 52 42 31 37.
</p>
<p>
Nous vous attendons avec impatience le ${request.registry['event_date']} à Sophia Antipolis pour fêter le libre et partager
de la connaissance, de la bonne humeur et du soleil ;-)
</p>
<br>
L'&eacute;quipe des <b>JM2L</b>
<br>
</%def> \
<%def name="ShowTasks(request, User, Contact)">
<style>
.table {
	border-collapse: collapse; 
}
.table th, .table td {
    border: 1px solid #ddd;
    line-height: 20px;
    padding: 8px;
    text-align: left;
    vertical-align: top;
    outline: 0 none;
    margin:0;
}
</style>
Salut ${User.pseudo or User.prenom},<br />
<p>
Les JM2L approchent à grand pas, il faut donc avancer sur les tâches d'organisation !
<br/>
En se basant sur le travail qu'il reste à faire pour que tout se passe dans les meilleurs 
conditions lors de l'évènement ...
</p>
Voici ce qu'il y'a dans la liste des tâches qui te sont assignées:
<br/>
<H4>Tes actions qui restent à entreprendre pour les JM2L !</H4>
<table class="table">
<tr><th>Date</th><th>Pôle</th><th>Tâche</th></tr>
% for t in sorted(User.task_assoc, key=lambda k:k.due_date):
	% if not t.closed:
	<tr>
 <td>${t.due_date.strftime('%d %B %Y').decode('utf-8', 'xmlcharrefreplace')}</td><td>${t.area.name}</td>
 <td><a href="http://jm2l.linux-azur.org/2017/Staff/tasks/${t.uid}">${t.name}</a>
	% endif
% endfor
</table>
<H4>Et il y'a aussi des tâches communes !</H4>
<table class="table">
<tr><th>Date</th><th>Pôle</th><th>Tâche</th></tr>
% for t in sorted(Contact.task_assoc, key=lambda k:k.due_date):
	% if not t.closed:
	<tr>
 <td>${t.due_date.strftime('%d %B %Y').decode('utf-8', 'xmlcharrefreplace')}</td><td>${t.area.name}</td>
 <td><a href="http://jm2l.linux-azur.org/2017/Staff/tasks/${t.uid}">${t.name}</a>
	% endif
% endfor
</table>
<br/>
Pour accéder à ton espace sur le site, il te suffit de cliquer sur le <a href="${request.route_url('bymail', hash=User.my_hash)}">lien suivant.</a>
<br/><br/>
% for t in filter(lambda k:k.uid==51, Contact.task_assoc):
	Nous avons fixé la prochaine réunion JM2L au ${t.due_date.strftime('%d %B').decode('utf-8', 'xmlcharrefreplace')} à 19h30.
% endfor
<p>
Bon courage !
</p> 
<br/>
<small>Ceci est un mail automatisé ;)</small>
<br/>
<i>Le site de l'équipe des JM2L !</i>
</%def> \
% if action=='Welcome':
${self.Bienvenue(request, User)}
% elif action=='Forgot':
${self.Forgot(request, User)}
% elif action=='Tasks':
${self.ShowTasks(request, User, Contact)}
% endif
