<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>


<div class="row-fluid">
  <div class="span10 offset1">

% if request.user and request.user.Staff and DispUser.uid!=request.user.uid:
    <a style="float:right;" href="/MesJM2L?user=${DispUser.uid}">Modifier</a>
% elif request.user and DispUser.uid==request.user.uid:
    <a style="float:right;" href="/MesJM2L">Modifier</a>
% endif

<h2>${DispUser.prenom | n} ${DispUser.nom | n}</h2>

<div class="titleborderbox">
    <strong>Son profil</strong>. 
    % if DispUser.pseudo:
        (${DispUser.pseudo})
    %endif
</div>
<div class="media borderbox">
    ${helpers.show_pictures(DispUser)}
    <div class="media-body">
        % if DispUser.bio:
            ${DispUser.bio | n}
        % else:
            <i>Ce profil n'a pas été complété.</i>
        % endif
    </div>
</div>
<div class="footborderbox">
    % if DispUser.website:
        <div style="float:right;">
            <a href="${DispUser.website}">${DispUser.website}</a>
        </div>
    % endif
</div>
<br />
% if DispUser.tiers:
    <hr/>
    <h4>Fait la promotion de ...</h4>
    ${helpers.show_SummaryEntities(DispUser.tiers)}
% endif
% if DispUser.events:
<hr/>
    <h4>Ses interventions :</h4>
    ${helpers.show_Interventions(DispUser.events)}
% endif
<p style="float:right;">Créé le ${DispUser.created.strftime('%d %b %Y').decode('utf-8')}</p>

  </div>
</div>