<%namespace name="helper" file="jm2l:templates/helpers.mako"/>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
##               Détail de l'échange d'hébergement 
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="ShowH(Exch)"> \
    ${helper.show_exchange(Exch, Exch.asker, Exch.provider)}
    <dl>
        <dt>Quoi</dt>
        % if Exch.Category:
            <dd>${Exch.Category.exch_subtype}</dd>
        % else:
            <dd>Un hébergement</dd>
        % endif
        <dt>Quand </dt>
        <dd>La nuit du ${Exch.start_time.strftime('%A %d %b %Y').decode('utf-8')} jusqu'au lendemain</dd>
        % if Exch.description:
            <dt>Détails </dt>
            <dd>${Exch.description}</dd>
        % endif
    </dl>    
</%def> \
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
##                 Proposition d'hébergement 
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Heberg_Proposal(form)"> \
<% ## PlaceHolder, ContainerStyle, FieldStyle
    DicFormat = {
        "Day_start" :{'ContainerStyle':'float:left;', 'FieldStyle':'width:13em;'},
        "exch_categ" :{'FieldStyle':'width:18em;'},        
        "description":{'FieldStyle':'width:85%;'}
    }
%>
    ${helper.DisplayForm(form, DicFormat)}
    NB: Vous devez faire une proposition différente pour chaque nuit que vous proposez.
    <br>
    <a class="btn btn-mini btn-info" role="button" href="javascript:DoGetLieu('/${CurrentYear}/modal/Place/0');">
        <i class="icon-plus-sign icon-white"></i> Indiquer l'adresse proposée.
    </a>
</%def> \
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
##                   Demande d'hébergement 
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Heberg_Ask(form)"> \
<% ## PlaceHolder, ContainerStyle, FieldStyle
    DicFormat = {  
        "description":{'FieldStyle':'width:85%;'}
    }
%>
    ${helper.DisplayForm(form, DicFormat)}
    NB: Vous devez faire une demande différente pour chaque nuit d'hébergement demandée.
</%def> \
