<%namespace name="helper" file="jm2l:templates/helpers.mako"/>
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
##               Détail de l'échange matériel
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="ShowM(Exch)"> \
    ${helper.show_exchange(Exch, Exch.asker, Exch.provider)}
    <dl>
        <dt>Catégorie</dt>
        <dd>${Exch.Category.exch_subtype}</dd>
        <dt>Quand </dt>
        <dd>de ${Exch.start_time.strftime('%A %d %b %Y').decode('utf-8')} vers ${Exch.start_time.strftime('%Hh%M')}
            à ${Exch.end_time.strftime('%A %d %b %Y').decode('utf-8')} vers ${Exch.end_time.strftime('%Hh%M')}
        </dd>
        <dt>Détails </dt>
        <dd>${Exch.description}</dd>
    </dl>
</%def> \
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
##                 Proposition de matériel
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<%def name="Matos_Proposal(form)"> \
<% ## PlaceHolder, ContainerStyle, FieldStyle
    DicFormat = {  
        "Day_start" :{'ContainerStyle':'float:left;', 'FieldStyle':'width:8em;'},
        "Hour_start" :{'ContainerStyle':'float:left;width:8em;', 'PlaceHolder':'10:00', 'FieldStyle':'width:4em;margin: 0 2px;'},
        "Day_end" :{'ContainerStyle':'float:left;', 'FieldStyle':'width:8em;'},
        "Hour_end" :{'PlaceHolder':'19:00', 'FieldStyle':'width:4em;margin: 0 2px;'},
        "description":{'FieldStyle':'width:85%;'},
        "exch_categ":{'FieldStyle':'width:10em;'}
    }
%>
    ${helper.DisplayForm(form, DicFormat)}
</%def> \
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
##                   Demande de matériel
## -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= 
<%def name="Matos_Ask(form)"> \
<% ## PlaceHolder, ContainerStyle, FieldStyle
    DicFormat = {  
        "Day_start" :{'ContainerStyle':'float:left;', 'FieldStyle':'width:8em;'},
        "Hour_start" :{'ContainerStyle':'float:left;width:8em;', 'PlaceHolder':'10:00', 'FieldStyle':'width:4em;margin: 0 2px;'},
        "Day_end" :{'ContainerStyle':'float:left;', 'FieldStyle':'width:8em;'},
        "Hour_end" :{'PlaceHolder':'19:00', 'FieldStyle':'width:4em;margin: 0 2px;'},
        "description":{'FieldStyle':'width:85%;'},
        "exch_categ":{'FieldStyle':'width:10em;'}
    }
%>
    ${helper.DisplayForm(form, DicFormat)} 
</%def> \
