<%def name="DoTable(Type, Kind, Selection)">
<%
if Kind=='Ask':
    What = "demande"
    Form = "Ask"
    Me = "asker_id"
    You = "provider_id"
elif Kind=='Proposal':
    What = "offre"
    Form = "Prop"    
    Me = "provider_id"
    You = "asker_id"
if Type=='H':
    CurTitle = u"d'hébergement"
    CurIcon = "icon-home"
elif Type=='C':
    CurTitle = "de co-voiturage"
    CurIcon = "icon-road"
elif Type=='M':
    CurTitle = u"de prêt de matériel"
    CurIcon = "icon-shopping-cart"
%>
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th colspan="3"><i class="${CurIcon}"></i>  ${What}s ${CurTitle}
                        <a class="btn btn-mini btn-primary" Myhref="/${CurrentYear}/modal/${Form}${Type}/0"
                            role="button" data-target="#AjaxModal" style="float:right" handle="modal">
                            <i class="icon-plus-sign icon-white"></i> Ajouter
                        </a>
                    </th>
                </tr>
            </thead>
            <tbody id="${Form}${Type}Table">         
            % if len(Selection['Ask'])==0 and len(Selection['Proposal'])==0:
                <tr>
                    <td colspan="2" style="text-align:center;">
                        <i>Vous n'avez fait aucune ${What}e ${CurTitle}</i>
                    </td>
                </tr>            
            % else:
                <tr>
                    <th style="width:7em;">Etat</th>                
                    <th>Détails</th>
                </tr>
        % for CurKind in ['Ask', 'Proposal']:
                % for item in Selection[CurKind]:
                    <%
                    if getattr(item, You)==request.user.uid:
                        continue
                    %>
                <tr style="cursor:pointer;">
                    <td>
                % if item.exch_done:
                    <div class="btn-group">
                        <a class="btn btn-small btn-success" href="javascript:DoGet('/${CurrentYear}/modal/Show${Type}/${item.exch_id}')"><i class="icon-ok icon-white"></i> Validé</a>
                        <a class="btn btn-small btn-success dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/${CurrentYear}/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li class="divider"></li> 
                            <li><a href="javascript:DoGet('/${CurrentYear}/exchange/${Form}${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Annuler</a></li>
                        </ul>
                % elif getattr(item, You) is None:
                    <div class="btn-group">                
                        <a class="btn btn-small"><i class="icon-signal"></i> Publié</a>
                        <a class="btn btn-small dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">                           
                            <li><a href="javascript:DoGet('/${CurrentYear}/modal/${Form}${Type}/${item.exch_id}')"><i class="icon-pencil"></i> Modifier</a></li>
                            <li><a onclick="return confirm_click();" href="javascript:DoGet('/${CurrentYear}/exchange/${Form}${Type}/${item.exch_id}/delete')"><i class="icon-trash"></i> Supprimer</a></li>
                        </ul>
                % elif getattr(item, Me)==request.user.uid and item.exch_state==CurKind:
                        Je ${What} <br>
                    <div class="btn-group">                        
                        <a class="btn btn-small btn-warning" href="javascript:DoGet('/${CurrentYear}/modal/Show${Type}/${item.exch_id}')"><i class="icon-question-sign icon-white"></i> Proposition</a>
                        <a class="btn btn-small btn-warning dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/${CurrentYear}/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li class="divider"></li>
                            <li><a href="javascript:DoGet('/${CurrentYear}/exchange/${Form}${Type}/${item.exch_id}/accept')"><i class="icon-ok"></i> Accepter</a></li>
                            <li><a href="javascript:DoGet('/${CurrentYear}/exchange/${Form}${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Refuser</a></li>
                            <li class="divider"></li>
                            <li><a onclick="return confirm_click();" href="javascript:DoGet('/${CurrentYear}/exchange/${Form}${Type}/${item.exch_id}/delete')"><i class="icon-trash"></i> Supprimer</a></li>
                        </ul>                    
                % elif getattr(item, Me)==request.user.uid:
                        Je ${What} <br>
                    <div class="btn-group">                        
                        <a class="btn btn-small btn-info" href="javascript:DoGet('/${CurrentYear}/modal/Show${Type}/${item.exch_id}')"><i class="icon-question-sign icon-white"></i> Négociation</a>
                        <a class="btn btn-small btn-info dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="javascript:DoGet('/${CurrentYear}/modal/Show${Type}/${item.exch_id}')"><i class="icon-search"></i> Détails</a></li>
                            <li><a href="#"><i class="icon-question-sign"></i> En Attente de réponse </a></li>
                            <li><a href="javascript:DoGet('/${CurrentYear}/exchange/${Form}${Type}/${item.exch_id}/refuse')"><i class="icon-remove"></i> Se désister </a></li>
                        </ul>
                % endif
                    </div>
                        </div>
                    </td>
                    <td>
                        %if Type=='C':
                            ${item.start_time.strftime('%A %d %b %Y').decode('utf-8')} vers ${item.start_time.strftime('%Hh%M')}
                            de <a href="javascript:DoGetLieu('/${CurrentYear}/modal/Place/${item.Itin.start.place_id}')">${item.Itin.start.display_name}</a>
                            à <a href="javascript:DoGetLieu('/${CurrentYear}/modal/Place/${item.Itin.arrival.place_id}')">${item.Itin.arrival.display_name}</a>
                        %elif Type=='H':
                            % if item.Category:
                            <i>${item.Category.exch_subtype}</i>, 
                            % endif
                            La nuit du ${item.start_time.strftime('%A %d %b %Y').decode('utf-8')}<br>
                        %elif Type=='M':
                            de ${item.start_time.strftime('%A %d %b %Y').decode('utf-8')} vers ${item.start_time.strftime('%Hh%M')}
                            à ${item.end_time.strftime('%A %d %b %Y').decode('utf-8')} vers ${item.end_time.strftime('%Hh%M')}<br>
                            ${item.Category.exch_subtype}
                        %endif                            
                        %if item.description:
                            ${item.description}
                        %endif
                    </td>
                </tr>
                % endfor
        % endfor
            % endif            
            </tbody>
        </table>
</%def>
