<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>

<% The_entity_type = entity.get_entity_type %>

<div class="row-fluid">
  <div class="span10 offset1">

    <strong>${The_entity_type.entity_type}</strong>
    % if The_entity_type.entity_subtype!=The_entity_type.entity_type:
        ${The_entity_type.entity_subtype}
    % endif
<div class="borderboxtime">
${The_entity_type.entity_subtype}
</div>
##%if entity.tiers_id:
##    <a href="http://jm2l.linux-azur.org/node/${entity.tiers_id}">Link</a> -
##%endif
% if request.user and (request.user.Staff or request.user in entity.members):
    <a href="/entity/${entity.get_entity_type.slug_entity_type}/${entity.slug}/edit">Editer</a>
% endif
% if request.user and (request.user.Staff or request.user in entity.members):
<a class="btn btn-danger btn-mini pull-right" onclick="return confirm_click();" href="${request.route_path('delete_entity', action='delete_entity', entity_id=entity.uid)}">
    <i class="icon-remove icon-white"></i> Supprimer cette entit&eacute;e
</a>
% endif
    <div clear='both'></div>
<div>
    <a style="float:right;" href="/entities">Liste des entités</a>
    <h3 style="line-height:30px;">${entity.name}</h3>
</div>
<div class="borderbox">
    % if entity.PhotosLinks:
        <div style="float:right;padding:5px;border: 1px solid #eee;background-color:white;">
        % for img_path in entity.PhotosLinks:
            <img src="${img_path}" style="max-height:205px;max-width:335px;" alt="logo" />
        % endfor
        </div>
    % endif
% if entity.description :    
    ${entity.description | n}
% else:
    <p>Cette entité n'a pas de description.</p>
% endif
    % if entity.DocLinks:
        ${helpers.medias(entity)}
    % endif
</div>
<div class="footborderbox">
    % if entity.website:
        <div style="float:right;">
            <a href="${entity.website}">${entity.website}</a>
        </div>
    % endif
</div>

% if 0:
    % for media in entity.PhotosLinks:
        <strong>Présentation</strong>:${media.filename} (${media.mime_type})
    % endfor
    <hr/>
    % for media in entity.video:
        <div style="width:480px;margin:auto;">
            <video width="480" poster="" controls="controls" preload="metadata">
                <source type="${media.mime_type}" 
                    src="${media.filename}">
                </source>
            </video> <br />
            <strong>Vidéo</strong>:${media.filename} (${media.mime_type})
        </div>
    % endfor
% endif
% for iterv in entity.members[::-1]:
<p>
    <div class="titleborderbox">
        Intervenant <strong><a href="/user/${iterv.slug}">${iterv.prenom} ${iterv.nom}</a></strong>. 
        % if iterv.pseudo:
            (${iterv.pseudo})
        %endif
    </div>   
    <div class="media borderbox">
        ${helpers.show_pictures(iterv)}
        <div class="media-body">
            <ul>
            % for i in filter(lambda x:x.user_uid==iterv.uid and x.tiers_uid==entity.uid, entity.membership):
                <li>${i.year_uid} ${i.role}</li>
            % endfor
            </ul>
            % if iterv.bio:
                ${iterv.bio | n}
            % else:
                <i>Ce profil n'a pas été complété.</i>
            % endif
        </div>
    </div>
    <div class="footborderbox">
        % if iterv.website:
            <div style="float:right;">
                <a href="${iterv.website}">${iterv.website}</a>
            </div>
        % endif
    </div>
</p>
% endfor
<br/><br/>
<p style="float:right;">Créé le ${entity.created.strftime('%d %b %Y').decode('utf-8')}</p>
<br/>
<hr/>

   </div>
</div>
